#!/bin/sh
#tk_texte_graphique.tcl
#\
exec wish "$0" ${1+"$@"}
#*************************************************************************
#  Copyright (C) 2002 Eric Seigne <erics@rycks.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#**************************************************************************
#  File  : $$$
#  Author  : jlsendral@free.fr
#  Modifier: 
#  Date    : 24/04/2002
#  Licence : GNU/GPL Version 2 ou plus
#
#  Description:
#  ------------
#  @version
#  @author     Jean-Louis Sendral
#  @modifier   
#  @project    Le terrier
#  @copyright  Eric Seigne 24/04/2002
#
#  *************************************************************************
# #########################################################################
# internationalisation (c) andre.connes@toulouse.iufm.fr
# le fichier i18n, inclus par la commande "source i18n", contient par exemple
#    set i18n(fr,hello) "Bonjour..."
#    set i18n(uk,hello) "Hello..."
# appel   : set message [ mc {hello]
# ou bien : puts stdout [ mc {hello]
# #########################################################################
#proc gettext { m } {
#  global LG i18n
#  if { [info exists i18n($LG,$m)] } {
#    return $i18n($LG,$m)
#  } elseif { [info exists i18n(fr,$m)] } {
#    return $i18n(fr,$m)
#  } else {
#    return "err.i18n_$LG : \"$m\" needed."
#  }
# } ;# proc gettext

##if { [catch {package require Iwidgets}] == 1} {
##tk_messageBox -message "Il est ncessaire d'installer le package Iwidgets pour que le menu aide fonctionne" -type ok -title "A nous les nombres"
##}

proc showaide {signet} {
catch {
option add *textBackground seashell

set win [iwidgets::hyperhelp .#auto -title "Aide" -modality none -topics {aide}]
    $win showtopic aide#$signet
    $win activate
}
}

##bind . <F1> "showaide { }"


global sysFont rep_travail
##source calculs.conf
#source i18n
source msg.tcl
##source fonts.tcl
source path.tcl
set plateforme $tcl_platform(platform) ; set ident $tcl_platform(user)
##init $plateforme
#initlog $plateforme  $ident
set basedir [pwd]
cd $basedir
set rep_travail $basedir
#utilit de ce cd ?
wm geometry . +0+0
. configure -background blue
##wm resizable . 0 0
wm title . [mc {Ecriture graphisme collaboratifs}]
##. configure -background #ffff80

proc interface {} {
global Home DOSSIER_EXOS basedir rep_travail
catch {destroy .menu}
catch {destroy .frame}
global tcl_platform basedir progaide
##wm geometry . +0+0
##. configure -background blue
##wm resizable . 0 0
##wm title . [mc {Calculs}]
##. configure -background #ffff80
set font {Arial 16}

########################
# 	Barre de menus	#
#-----------------------#

# Creation du menu utilise comme barre de menu:
menu .menu -tearoff 0

# Creation du menu Fichier
menu .menu.fichier -tearoff 0
.menu add cascade -label [mc {Activits}] -menu .menu.fichier
.menu.fichier add command -label [mc {tk_texte} ] -command {lanceappli tkwhiteboardtext.tcl ${rep_travail} }
.menu.fichier add command -label [ mc {tk_graphisme}] -command {lanceappli tkwhiteboard.tcl  $rep_travail }

.menu.fichier add sep
.menu.fichier add command -label [ mc {quitter}] -command exit

.menu add cascade -label [mc {Aides}] -menu .menu.aides
set ext .msg
##choix des rpertoires travail
menu .menu.aides -tearoff 0
.menu.aides add command -label "[mc {Aide }]" -command { lanceappli aide_g.tcl $rep_travail }
##menu .menu.option.repert.ssmenu_perso -tearoff 0
.menu.aides add command  -label "[mc {A_propos}]" -command { source apropos.tcl }
. configure -menu .menu
set normal "-background {} -relief flat"
################
# Image de fond #
#################
frame .frame -background blue -height 400 -width 200
pack .frame -expand true
set myimage [image create photo -file images/background.gif]
label .frame.imagedisplayer -image $myimage -background blue
pack .frame.imagedisplayer
###grid .frame.imagedisplayer -column 1 -row 0 -sticky e
}
############
# Bindings #
############
bind . <Control-q> {exit}

proc choix_repert { dossier type} {
global rep_travail DOSSIER_EXOS Home
if { $type == "exemple"  || $dossier == $DOSSIER_EXOS || \
$dossier == [file join $Home data ]}  {
set rep_travail $dossier
return
}
 catch  { set dir  [tk_chooseDirectory  -initialdir $dossier  -title "Choisir le rpertoire de travail" ] ; \
  set rep_travail $dir  }
}


proc lanceappli {appli rep} {
    global iwish
    exec $iwish $appli $rep &
}
proc setlang {lang} {
global env plateforme
set env(LANG) $lang
::msgcat::mclocale $lang
::msgcat::mcload [file join [file dirname [info script]] msgs]
interface
}
setlang fr
##interface

#modifier wish pour PC windaube








